#
# spec file for package te923tool
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           te923tool
Version:        0.6.1
Release:        1.1
License:        GPL-2.0+ 
Summary:        Weather station software 
Url:            http://te923.fukz.org/
Group:          Development/Tools
Source:         %{name}-%{version}.tar.gz
Patch0:         te923tool-0.6.1-order.patch
BuildRequires:  libusb-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The te923tool supports most weather stations based on Hideki weather station 
like IROX Pro X, Mebus TE923 or TFA Nexus. 
Some other hardware is supported but not all devices are testet yet.

%prep
%setup -q
%patch0 -p1

%build
make all

%install
ls
install -Dm755 te923con %{buildroot}%{_bindir}/te923con

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README contrib
%{_bindir}/te923con

%changelog
* Sat Nov 18 2017 lars@linux-schulserver.de
- initial package 0.6.1
